Bug 14022 - Subscription form resets 'subscription length' to issues on editing
Summary: Subscription form resets 'subscription length' to issues on editing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-20 13:32 UTC by Katrin Fischer
Modified: 2015-12-03 22:03 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14022: Does not reset the subscription length on editing a subscription (5.05 KB, patch)
2015-04-20 15:02 UTC, Jonathan Druart
Details | Diff | Splinter Review
[Signed-off] Bug 14022: Does not reset the subscription length on editing a subscription (5.22 KB, patch)
2015-04-20 16:53 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 14022: Does not reset the subscription length on editing a subscription (5.27 KB, patch)
2015-04-20 19:46 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-04-20 13:32:38 UTC
When editing a subscription the subscription length (second page) is reset to issues, even if the subscription was initially saved with a value in months or weeks.

This is more of a problem as it sounds even, as a high value in 'issues' can bring created a lot of load on the server with a lot of database requests and causes vry slow response times.
Comment 1 Jonathan Druart 2015-04-20 15:02:30 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-04-20 16:53:58 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2015-04-20 19:46:03 UTC
Created attachment 38209 [details] [review]
[PASSED QA] Bug 14022: Does not reset the subscription length on editing a subscription

The subscription length is always set to the first/default value
('issues') when editing a subscription.
Even if you selected another value on creating/editing it, the form will
show you the first option.

Test plan:
1/ Add/Edit a subscription, select a subscription length different of
the first value (issues)
2/ Edit the subscription and confirm the value is kept

Bonus: issues, week and months become translatable.

Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Tomás Cohen Arazi 2015-04-23 15:14:00 UTC
Patch pushed to master.

Thanks Jonathan!
Comment 5 Chris Cormack 2015-05-11 21:42:04 UTC
Pushed to 3.18.x will be in 3.18.7